Apple Mac OS X TruBlueEnvironment vulnerable to buffer overflow

2004-03-08T00:00:00
ID VU:902374
Type cert
Reporter CERT
Modified 2004-03-15T18:12:00

Description

Overview

Apple Mac OS X contains a buffer overflow in TruBlueEnvironment which could allow a local, authenticated attacker to execute arbitrary code with root privileges.

Description

Mac OS X allows older Macintosh applications to run in an environment called Classic. TruBlueEnvironment is part of this Classic environment and is installed setuid root by default. During execution, TruBlueEnvironment fails to validate the length of an environment variable. Using a specially crafted environment variable, an authenticated local attacker could execute arbitrary code with privileges of the vulnerable process.


Impact

A local, authenticated attacker could execute arbitrary code with root privileges.


Solution

Apply Patch

Apple has released a patch to address this vulnerability. For further details, please see the Apple Security Advisory (Security Update 2004-01-26).


Vendor Information

902374

Filter by status: All Affected Not Affected Unknown

Filter by content: __ Additional information available

__ Sort by: Status Alphabetical

Expand all

Javascript is disabled. Click here to view vendors.

Apple Computer Inc. __ Affected

Notified: January 26, 2004 Updated: March 15, 2004

Status

Affected

Vendor Statement

We have not received a statement from the vendor.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

Please refer to the Apple Security Advisory (APPLE-SA-2004-01-26).

If you have feedback, comments, or additional information about this vulnerability, please send us email.

CVSS Metrics

Group | Score | Vector
---|---|---
Base | |
Temporal | |
Environmental | |

References

  • <http://docs.info.apple.com/article.html?artnum=61798>
  • <http://www.atstake.com/research/advisories/2004/a012704-1.txt>

Acknowledgements

Apple credits Dave G. of @stake for reporting this vulnerability.

This document was written by Damon Morda.

Other Information

CVE IDs: | CVE-2004-0089
---|---
Severity Metric: | 9.56
Date Public: | 2004-01-28
Date First Published: | 2004-03-08
Date Last Updated: | 2004-03-15 18:12 UTC
Document Revision: | 20